Description

Related to #5768. 

feature count is currently not working for ruled based styles.  When  solved, it would be nice to add a warning in legend diplay if a feature

is counted more than once in different classes. A summary of duplicate counts would be even nicer if possible

If rules do concern overlapping datasets, graphical display DO display them in each concerned class (which is good). User should be

warned of this to avoid producing bad statistics since it is easy to have overlapping queries with refine assistants.

example of : my layer has features categorised with a "size_cat" field containing 'L' and 'XL' values. 

Rule 1 displays 'L': 10 features 

Rule 2 displays 'L' or 'XL' : 10 + 20 features

I would like to see this something like this in legend:

My_layer

[nb of unic features : 30. Warning 20 counted in differents subclasses ] 

rule 1 [10]

rule 2 [30] !

History

#1 - 2012-10-06 02:20 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#2 - 2012-10-31 10:21 AM - Radim Blazek

- File rulebased-counts.png added

Fixed in commit:c4014cfab.

Because it would be problematic to show the information about duplicate feature counts in legend in a clear and clean way, the feature counts and

duplicate feature counts were added into rules widget in layer properties. It is also the place where overlaps may be fixed, it would be very unfriendly to

force user to apply properties to see counts and reopen again to fix duplicates.

Feature counts are calculated when "Count fatures" button is pushd. Then, if there are duplicate features, details about counts in other rules may by

displayed as tooltip (mouse over) for values in column "Duplicate count".

Example snapshot is attached.

Work done by Faunalia for Agence de l'eau Adour Garonne.

#3 - 2012-10-31 10:23 AM - Radim Blazek
- Resolution set to fixed

- Status changed from Open to Closed

Files

rulebased-counts.png 61.5 KB 2012-10-31 Radim Blazek
